Loading...
Searching...
No Matches
starpu_sched_ctx_hypervisor.h File Reference

Go to the source code of this file.

## Data Structures

struct | starpu_sched_ctx_performance_counters

## Functions

Scheduling Context Link with Hypervisor
void | starpu_sched_ctx_set_perf_counters (unsigned sched_ctx_id, void *perf_counters)
void | starpu_sched_ctx_call_pushed_task_cb (int workerid, unsigned sched_ctx_id)
void | starpu_sched_ctx_notify_hypervisor_exists (void)
unsigned | starpu_sched_ctx_check_if_hypervisor_exists (void)
void | starpu_sched_ctx_update_start_resizing_sample (unsigned sched_ctx_id, double start_sample)

## Data Structure Documentation

## starpu_sched_ctx_performance_counters

struct starpu_sched_ctx_performance_counters

Performance counters used by the starpu to indicate the hypervisor how the application and the resources are executing.

Data Fields
void(*)(unsigned sched_ctx_id, int worker, double idle_time) | notify_idle_cycle | Inform the hypervisor for how long a worker has been idle in the specified context
void(*)(unsigned sched_ctx_id, int worker) | notify_poped_task | Inform the hypervisor that a task executing a specified number of instructions has been popped from the worker
void(*)(unsigned sched_ctx_id, int worker) | notify_pushed_task | Notify the hypervisor that a task has been scheduled on the queue of the worker corresponding to the specified context
void(*)(struct starpu_task *task, size_t data_size, uint32_t footprint, int hypervisor_tag, double flops) | notify_post_exec_task | Notify the hypervisor that a task has just been executed
void(*)(struct starpu_task *task, uint32_t footprint, size_t data_size) | notify_submitted_job | Notify the hypervisor that a task has just been submitted
void(*)(unsigned sched_ctx_id, struct starpu_task *task) | notify_empty_ctx |
void(*)(unsigned sched_ctx) | notify_delete_context | Notify the hypervisor that the context was deleted

## Function Documentation

## starpu_sched_ctx_set_perf_counters()

void starpu_sched_ctx_set_perf_counters | ( | unsigned | sched_ctx_id,
|  | void * | perf_counters )

Indicate to starpu the pointer to the performance counter

## starpu_sched_ctx_call_pushed_task_cb()

void starpu_sched_ctx_call_pushed_task_cb | ( | int | workerid,
|  | unsigned | sched_ctx_id )

Callback that lets the scheduling policy tell the hypervisor that a task was pushed on a worker

## starpu_sched_ctx_notify_hypervisor_exists()

void starpu_sched_ctx_notify_hypervisor_exists | ( | void |  | ) |

Allow the hypervisor to let starpu know it's initialised

## starpu_sched_ctx_check_if_hypervisor_exists()

unsigned starpu_sched_ctx_check_if_hypervisor_exists | ( | void |  | ) |

Ask starpu if it is informed if the hypervisor is initialised